Summary: Let ssh also listen on port 10022
%define name e-smith-sshd10022
Name: %{name}
%define version 0.1.0
%define release 1
Version: %{version}
Release: %{release}
Copyright: GPL
Group: Mitel/addon
Source: %{name}-%{version}.tar.gz
Packager: Michiel Blotwijk <michiel@altiplano.be>
BuildRoot: /var/tmp/%{name}-%{version}
BuildArchitectures: noarch
AutoReqProv: no

%changelog
* Tue Nov 28 2003 Michiel Blotwijk <michiel@altiplano.be>
- Initial release
- [0.1.0-1]

%description
Actions and template fragments to make sshd listen on port 10022

%prep
%setup

%build

%install
rm -rf $RPM_BUILD_ROOT
(cd root ; find . -depth -print | cpio -dump $RPM_BUILD_ROOT)
/sbin/e-smith/genfilelist $RPM_BUILD_ROOT > %{name}-%{version}-filelist
echo "%doc " >> %{name}-%{version}-filelist


%clean
cd ..
rm -rf %{name}-%{version}

%pre

%preun

%post
# Configure sshd
/sbin/e-smith/expand-template /etc/ssh/sshd_config
/etc/init.d/sshd restart

# Open port on firewall
/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
/etc/init.d/masq restart

%postun
# Restore sshd
/sbin/e-smith/expand-template /etc/ssh/sshd_config
/etc/init.d/sshd restart

# Close port on firewall
/sbin/e-smith/expand-template /etc/rc.d/init.d/masq
/etc/init.d/masq restart

%files -f %{name}-%{version}-filelist
%defattr(-,root,root)
